Last modified: 2014-03-10 10:37:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40942 - Time separator for Slovene should use period/dot instead of colon
Time separator for Slovene should use period/dot instead of colon
Status: PATCH_TO_REVIEW
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.22.0
All All
: Normal enhancement (vote)
: ---
Assigned To: Aravind K N
: easy, i18n
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 09:55 UTC by Dejan Papež
Modified: 2014-03-10 10:37 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dejan Papež 2012-10-11 09:55:23 UTC
Please replace the HH:MM and MM:SS separator for Slovene localisation so that period will be used instead of column to separate a) hours from minutes and b) minutes from seconds, in accordance with the literary standard of Slovene (http://bos.zrc-sazu.si/c/sp/sp2001_pravila.pdf, item 255). Thanks a lot.
Comment 1 Domen 2012-10-23 20:14:53 UTC
Request is valid for separator of hours from minutes, but I'm not sure about minutes from seconds. Our orthographic standard doesn't say anything about the last case.
Comment 2 Siebrand Mazeland 2012-10-23 21:33:52 UTC
(In reply to comment #1)
> Request is valid for separator of hours from minutes, but I'm not sure about
> minutes from seconds. Our orthographic standard doesn't say anything about the
> last case.

Please find out. Checking CLDR might also be a solution. We'd like MediaWiki to stay in sync with what's already defined there.
Comment 3 Nemo 2012-11-20 08:56:50 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Request is valid for separator of hours from minutes, but I'm not sure about
> > minutes from seconds. Our orthographic standard doesn't say anything about the
> > last case.
> 
> Please find out. 

Dejan, Domen, do you have more information?
Maybe we could start with hours-minutes separator and check seconds later? On the other hand, it wouldn't make much sense for them to be different, so if one is ok the other should be as well.
Comment 4 Andre Klapper 2012-11-20 13:24:17 UTC
As we would like to stay in sync with the definitions in the Unicode Common Locale Data Repository (http://cldr.unicode.org/ and used via https://www.mediawiki.org/wiki/Extension:CLDR), a check would be welcome. This means taking a look at the latest revision of http://unicode.org/cldr/trac/log/trunk/common/main/xy.xml (replace xy with your language code), choosing the appropriate calendar type by searching for "<calendar type", and taking a look at the entries in the <dateFormats>, <timeFormats> and <dateTimeFormats> sections.
Comment 5 Dejan Papež 2012-11-20 16:24:28 UTC
As I have explained Domen, according to Article 255 of the Rules of the Slovene Normative Guide (Slovenski pravopis), period is used as a sign between parts of numbers to separate units of different levels. It cites only a case for the separation of minutes from hours, but of course this also applies for the separation of seconds from minutes etc., because it is (I repeat) a separation of units of different levels. I have not received any reply from Domen, therefore I presume he agrees about this. If not, he should have already voiced his opinion.
Comment 6 Andre Klapper 2012-11-20 16:46:43 UTC
Could you check the definition in CLDR?
Comment 7 Domen 2012-11-20 18:32:05 UTC
Dejan is right and I agree. I didn't pay enough attention to what our orthography says. Dots should be used to separate hours, minutes and seconds.

CLDR says mostly colon, dots are used only in few instances.

I personally think we should comply with Guide. Although its first version was released in 80's (and fundamentally hasn't changed since), we are slow in implementing its rules.
Comment 8 Pavel Selitskas [wizardist] 2013-05-03 15:03:39 UTC
(In reply to comment #6)
> Could you check the definition in CLDR?

Date formats and any other part of CLDR definitions may be obsolete or just wrong (e.g. as a result of careless approval of contributions without appropriate research). Institute of the Slovene language (Inštitut za slovenski jezik) in this case is more authoritative, and CLDR should be fixed instead of MediaWiki following mistakes in CLDR.
Comment 9 Andre Klapper 2013-05-06 08:50:51 UTC
If CLDR should be fixed, could you please contact them?

Two more sources:

Microsoft's "Slovenian Style Guide" lists
Standard time format:
    H.mm
    H:mm:ss

IBM lists in http://pic.dhe.ibm.com/infocenter/forms/v3r5m1/index.jsp?topic=%2Fcom.ibm.form.designer.locales.doc%2Fi_xfdl_r_formats_sl_SI.html :
    H.mm
    H:mm
    H:mm:ss
Comment 10 Nemo 2013-05-06 13:11:08 UTC
(In reply to comment #9)
> If CLDR should be fixed, could you please contact them?

Data collection for CLDR 24 is open in these very days. http://st.unicode.org/cldr-apps/survey
I tried to enter the new format in http://st.unicode.org/cldr-apps/v#/sl/Gregorian/235af2cdaa201be0 but I can edit only Italian, you need to create a guest account (should be quicker?) or Amir/Santhosh have to create you a voting account.
Comment 11 Aravind K N 2014-01-25 10:50:18 UTC
I would like to work on this bug, would someone assign this to me?
Comment 12 Gerrit Notification Bot 2014-01-27 13:41:53 UTC
Change 109658 had a related patch set uploaded by Arav93:
Altered the time separator for Slovene from colon to period

https://gerrit.wikimedia.org/r/109658
Comment 13 Siebrand Mazeland 2014-02-02 14:13:02 UTC
According to http://unicode.org/cldr/trac/browser/trunk/common/main/sl.xml?rev=9695 these are the current time formattings for the Slovene:

1561 <timeFormatLength type="medium">
1562  <timeFormat>
1563   <pattern>HH:mm:ss</pattern>
1564  </timeFormat>
1565 </timeFormatLength>
1566 <timeFormatLength type="short">
1567  <timeFormat>
1568   <pattern>HH:mm</pattern>
1569  </timeFormat>
1570 </timeFormatLength>

This is exactly what MediaWiki currently implements for Slovene:

languages/messages/MessagesSl.php:

176 'dmy short time' => 'H:i',
180 'dmy full time' => 'H:i',
182 'dmy full both' => 'H:i, j. F Y',

I'm closing this as WONTFIX, because the request deviates from the well established standards that we try to implement in MediaWiki. In this case, CLDR applies.

If you think the CLDR locale data are incorrect, please file a change request as described at http://cldr.unicode.org/index/bug-reports. Once the change has been accepted in CLDR, it could be made in MediaWiki, too.
Comment 14 Gerrit Notification Bot 2014-03-07 10:59:36 UTC
Change 109658 abandoned by Siebrand:
Altered the time separator for Slovene from colon to period

Reason:
Abandoning this per my comment.

https://gerrit.wikimedia.org/r/109658
Comment 15 Dejan Papež 2014-03-07 21:05:30 UTC
Hi, I've reopened this. Your comment is from February 2014, whereas the CLDR changed the format in March 2014.
Comment 16 Andre Klapper 2014-03-08 11:01:16 UTC
(In reply to Dejan Papež from comment #15)
> Hi, I've reopened this. Your comment is from February 2014, whereas the CLDR
> changed the format in March 2014.

Please provide a link to the change.
Comment 17 Dejan Papež 2014-03-08 11:32:42 UTC
Please see:

http://unicode.org/cldr/trac/changeset/9819

Best regards.
Comment 18 Andre Klapper 2014-03-10 10:37:19 UTC
Thanks!

Patch in Gerrit should be restored (and would welcome a better commit message without typos).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links